export { BucketArgs, BucketState } from "./bucket";
export type Bucket = import("./bucket").Bucket;
export declare const Bucket: typeof import("./bucket").Bucket;
export { BucketAccessMonitorArgs, BucketAccessMonitorState } from "./bucketAccessMonitor";
export type BucketAccessMonitor = import("./bucketAccessMonitor").BucketAccessMonitor;
export declare const BucketAccessMonitor: typeof import("./bucketAccessMonitor").BucketAccessMonitor;
export { BucketCorsArgs, BucketCorsState } from "./bucketCors";
export type BucketCors = import("./bucketCors").BucketCors;
export declare const BucketCors: typeof import("./bucketCors").BucketCors;
export { BucketCustomdomainArgs, BucketCustomdomainState } from "./bucketCustomdomain";
export type BucketCustomdomain = import("./bucketCustomdomain").BucketCustomdomain;
export declare const BucketCustomdomain: typeof import("./bucketCustomdomain").BucketCustomdomain;
export { BucketEncryptionArgs, BucketEncryptionState } from "./bucketEncryption";
export type BucketEncryption = import("./bucketEncryption").BucketEncryption;
export declare const BucketEncryption: typeof import("./bucketEncryption").BucketEncryption;
export { BucketInventoriesArgs, BucketInventoriesResult, BucketInventoriesOutputArgs } from "./bucketInventories";
export declare const bucketInventories: typeof import("./bucketInventories").bucketInventories;
export declare const bucketInventoriesOutput: typeof import("./bucketInventories").bucketInventoriesOutput;
export { BucketInventoryArgs, BucketInventoryState } from "./bucketInventory";
export type BucketInventory = import("./bucketInventory").BucketInventory;
export declare const BucketInventory: typeof import("./bucketInventory").BucketInventory;
export { BucketLifecycleArgs, BucketLifecycleState } from "./bucketLifecycle";
export type BucketLifecycle = import("./bucketLifecycle").BucketLifecycle;
export declare const BucketLifecycle: typeof import("./bucketLifecycle").BucketLifecycle;
export { BucketLoggingArgs, BucketLoggingState } from "./bucketLogging";
export type BucketLogging = import("./bucketLogging").BucketLogging;
export declare const BucketLogging: typeof import("./bucketLogging").BucketLogging;
export { BucketMirrorBackArgs, BucketMirrorBackState } from "./bucketMirrorBack";
export type BucketMirrorBack = import("./bucketMirrorBack").BucketMirrorBack;
export declare const BucketMirrorBack: typeof import("./bucketMirrorBack").BucketMirrorBack;
export { BucketNotificationArgs, BucketNotificationState } from "./bucketNotification";
export type BucketNotification = import("./bucketNotification").BucketNotification;
export declare const BucketNotification: typeof import("./bucketNotification").BucketNotification;
export { BucketObjectArgs, BucketObjectState } from "./bucketObject";
export type BucketObject = import("./bucketObject").BucketObject;
export declare const BucketObject: typeof import("./bucketObject").BucketObject;
export { BucketObjectLockConfigurationArgs, BucketObjectLockConfigurationState } from "./bucketObjectLockConfiguration";
export type BucketObjectLockConfiguration = import("./bucketObjectLockConfiguration").BucketObjectLockConfiguration;
export declare const BucketObjectLockConfiguration: typeof import("./bucketObjectLockConfiguration").BucketObjectLockConfiguration;
export { BucketObjectsArgs, BucketObjectsResult, BucketObjectsOutputArgs } from "./bucketObjects";
export declare const bucketObjects: typeof import("./bucketObjects").bucketObjects;
export declare const bucketObjectsOutput: typeof import("./bucketObjects").bucketObjectsOutput;
export { BucketPolicyArgs, BucketPolicyState } from "./bucketPolicy";
export type BucketPolicy = import("./bucketPolicy").BucketPolicy;
export declare const BucketPolicy: typeof import("./bucketPolicy").BucketPolicy;
export { BucketRealtimeLogArgs, BucketRealtimeLogState } from "./bucketRealtimeLog";
export type BucketRealtimeLog = import("./bucketRealtimeLog").BucketRealtimeLog;
export declare const BucketRealtimeLog: typeof import("./bucketRealtimeLog").BucketRealtimeLog;
export { BucketRenameArgs, BucketRenameState } from "./bucketRename";
export type BucketRename = import("./bucketRename").BucketRename;
export declare const BucketRename: typeof import("./bucketRename").BucketRename;
export { BucketReplicationArgs, BucketReplicationState } from "./bucketReplication";
export type BucketReplication = import("./bucketReplication").BucketReplication;
export declare const BucketReplication: typeof import("./bucketReplication").BucketReplication;
export { BucketRequestPaymentArgs, BucketRequestPaymentState } from "./bucketRequestPayment";
export type BucketRequestPayment = import("./bucketRequestPayment").BucketRequestPayment;
export declare const BucketRequestPayment: typeof import("./bucketRequestPayment").BucketRequestPayment;
export { BucketTransferAccelerationArgs, BucketTransferAccelerationState } from "./bucketTransferAcceleration";
export type BucketTransferAcceleration = import("./bucketTransferAcceleration").BucketTransferAcceleration;
export declare const BucketTransferAcceleration: typeof import("./bucketTransferAcceleration").BucketTransferAcceleration;
export { BucketWebsiteArgs, BucketWebsiteState } from "./bucketWebsite";
export type BucketWebsite = import("./bucketWebsite").BucketWebsite;
export declare const BucketWebsite: typeof import("./bucketWebsite").BucketWebsite;
export { BucketsArgs, BucketsResult, BucketsOutputArgs } from "./buckets";
export declare const buckets: typeof import("./buckets").buckets;
export declare const bucketsOutput: typeof import("./buckets").bucketsOutput;
export { GetBucketInventoriesArgs, GetBucketInventoriesResult, GetBucketInventoriesOutputArgs } from "./getBucketInventories";
export declare const getBucketInventories: typeof import("./getBucketInventories").getBucketInventories;
export declare const getBucketInventoriesOutput: typeof import("./getBucketInventories").getBucketInventoriesOutput;
export { GetBucketObjectsArgs, GetBucketObjectsResult, GetBucketObjectsOutputArgs } from "./getBucketObjects";
export declare const getBucketObjects: typeof import("./getBucketObjects").getBucketObjects;
export declare const getBucketObjectsOutput: typeof import("./getBucketObjects").getBucketObjectsOutput;
export { GetBucketsArgs, GetBucketsResult, GetBucketsOutputArgs } from "./getBuckets";
export declare const getBuckets: typeof import("./getBuckets").getBuckets;
export declare const getBucketsOutput: typeof import("./getBuckets").getBucketsOutput;
